Developer Documentation

Public Slots | Signals | Public Member Functions | Private Slots | Private Member Functions | List of all members
MeanCurvaturePlugin Class Reference
Inheritance diagram for MeanCurvaturePlugin:

## Public Slots
bool | computeMeanCurvature (int _objectId)
| Scripting slot to trigger computation of mean curvature. More...
QString | version ()

## Signals
void | addTexture (QString _textureName, QString _filename, uint dimension)
void | updatedTextures (QString, int)
void | setTextureMode (QString _textureName, QString _mode)
void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from TextureInterface
virtual void | addTexture (QString _name, QString _filename, uint _dimension, int _id)
| Emit this Signal if a texture has been added (Property Name,filename,Dimension) More...

## Public Member Functions
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...

## Private Slots
void | slotUpdateTexture (QString _textureName, int _identifier)
void | pluginsInitialized ()
void | noguiSupported ()
Private Slots inherited from BaseInterface
virtual void | exit ()
virtual QString | version ()
| Return a version string for your plugin. More...

## Private Member Functions
template<typename MeshT >
void | computeMeanCurvature (MeshT *_mesh)
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from TextureInterface
virtual void | addTexture (QString _name, QImage _image, uint _dimension, int _id)
| Emit this Signal if a texture has been added (Property Name,image,Dimension) More...
virtual void | addTexture (QString _name, QString _filename, uint _dimension)
| Emit this Signal if a texture has been added (Property Name,filename,Dimension) More...
virtual void | addTexture (QString _name, QImage _image, uint _dimension)
| Emit this Signal if a texture has been added (Property Name,image,Dimension) More...
virtual void | addMultiTexture (QString _textureGroup, QString _name, QString _filename, int _id, int &_textureId)
| Emit this Signal if you want to add a texture for a multitexturing mode. More...
virtual void | addMultiTexture (QString _textureGroup, QString _name, QImage _image, int _id, int &_textureId)
| Emit this Signal if you want to add a texture for a multitexturing mode. More...
virtual void | updateTexture (QString _textureName, int _identifier)
| Tell Plugins to update the given texture for the given identifier This signal can be called from any thread. .
virtual void | updateAllTextures ()
| Tell Plugins to update all textures.
virtual void | updatedTextures (QString, int)
| emit this signal if you updated a texture More...
virtual void | switchTexture (QString _textureName, int _id)
| emit this signal if you want to switch the texture of a specific object This signal can be called from any thread.
virtual void | switchTexture (QString _textureName)
| emit this signal if you want to switch the global texture This signal can be called from any thread.
virtual void | setTextureMode (QString _textureName, QString _mode)
| emit this signal if you want to set a special mode for this texture (Clamping,...) More...
virtual void | setTextureMode (QString _textureName, QString _mode, int _id)
| emit this signal if you want to set a special mode for this texture (Clamping,...) More...
virtual void | textureChangeImage (QString _textureName, QImage &_image, int _id)
| Change the texture image of a given texture. More...
virtual void | textureChangeImage (QString _textureName, QImage &_image)
| Change the texture image of a given global texture. More...
virtual void | textureGetImage (QString _textureName, QImage &_image, int _id)
| get the texture image of a given texture More...
virtual void | textureGetImage (QString _textureName, QImage &_image)
| Get the texture image of a given global texture. More...
virtual void | textureIndex (QString _textureName, int _id, int &_index)
| Get the texture index of a given texture. More...
virtual void | textureIndexPropertyName (int _id, QString &_propertyName)
| Get the name of the texture index property. More...
virtual void | textureName (int _id, int _textureIndex, QString &_textureName)
| get the name of the texture with given texture index More...
virtual void | textureFilename (int _id, QString _textureName, QString &_textureFilename)
| get the filename of the texture with given texture index More...
virtual void | getCurrentTexture (int _id, QString &_textureName)
| get the name of the texture which is currently enabled More...
virtual void | getSubTextures (int _id, QString _multiTextureName, QStringList &_subTextures)
| get the names of all sub-textures under the given multiTexture More...
virtual | ~TextureInterface ()
| Destructor.

## Detailed Description

Definition at line 57 of file MeanCurvature.hh.

## Member Function Documentation

## ◆ computeMeanCurvature

bool MeanCurvaturePlugin::computeMeanCurvature | ( | int | _objectId | ) |
| slot

Scripting slot to trigger computation of mean curvature.

The curvature will be stored on the mesh on the vertex property called "Mean Curvature"

Definition at line 100 of file MeanCurvature.cc.

## ◆ description()

QString MeanCurvaturePlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 100 of file MeanCurvature.hh.

## ◆ name()

QString MeanCurvaturePlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 99 of file MeanCurvature.hh.

The documentation for this class was generated from the following files:

- Plugin-MeanCurvature/MeanCurvature.hh
- Plugin-MeanCurvature/MeanCurvature.cc